<h2 style="margin: 20px">{{ 'Home.Entity.Employees' | translate }}</h2>
<nz-table #employeesTable [nzData]="nzModalData.sourceEmployees" nzTableLayout="fixed" [nzLoading]="isLoading">
  <thead>
    <tr>
      <th nzWidth="60px"></th>
      <th>{{ 'Common.Name' | translate }}</th>
      <th>{{ 'Common.Salary' | translate }}</th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    <ng-container *ngFor="let employee of employeesTable.data">
      <tr>
        <td [nzExpand]="expandSet.has(employee.citizen.id)" (nzExpandChange)="onExpandChange($event, employee)"></td>
        <td>{{ employee.citizen.name }}</td>
        <td>
          <ng-container *ngIf="employee.isEdited; else salary">
            <nz-input-number [(ngModel)]="employee.newSalary" [nzMin]="0.1" nzPlaceHolder="New salary">
            </nz-input-number>
          </ng-container>
          <ng-template #salary>
            {{ employee.salary }}
          </ng-template>
        </td>
        <td>
          <button *ngIf="!employee.isEdited" nz-button nzShape="round" nzType="primary" (click)="employee.isEdited = true" nz-tooltip
            nzTooltipTitle="{{ 'Citizen.Company.changeSalary' | translate }}" style="margin-left: 10px">
            <i nz-icon nzType="edit" nzTheme="outline"></i>
          </button>
          <a *ngIf="!employee.isEdited" nz-popconfirm nzPopconfirmTitle="{{ 'Citizen.Company.rysFireEmployee' | translate }}"
            nzPopconfirmPlacement="bottom" (nzOnConfirm)="fireEmployee(employee.citizen.id)" style="margin-left: 10px">
            <button nz-button nzShape="round" nzType="primary" nz-tooltip nzTooltipTitle="{{ 'Citizen.Company.fireEmployee' | translate }}">
              <i nz-tooltip nzTooltipTitle="{{ 'Citizen.Company.fireEmployee' | translate }}" class="fas fa-trash-alt"></i>
            </button>
          </a>
          <div *ngIf="employee.isEdited">
            <button nz-button  nzShape="round" nzType="primary" (click)="changeSalary(employee)" [disabled]="!employee.newSalary"
              nz-tooltip nzTooltipTitle="{{ 'Citizen.Company.confirmSalaryChange' | translate }}" style="margin: 0px 5px 0px 10px">
              <i nz-icon nzType="check" nzTheme="outline"></i>
            </button>
            <button nz-button nzShape="round" nzType="secondary" (click)="cancelEditing(employee)" nz-tooltip
              nzTooltipTitle="{{ 'Citizen.Company.cancelChanging' | translate }}">
              <i nz-icon nzType="close" nzTheme="outline"></i>
            </button>
          </div>
        </td>
      </tr>
      <tr [nzExpand]="expandSet.has(employee.citizen.id)">
        <app-chart *ngIf="employee.viewChart" [labels]="employee.labels" [datasets]="employee.datasets"
          [options]="employee.options" type="line">
        </app-chart>
      </tr>
    </ng-container>
  </tbody>
</nz-table>
